package kaysaar.aotd_question_of_loyalty.data.scripts.rulesInterceptor;

import com.fs.starfarer.api.campaign.InteractionDialogAPI;
import com.fs.starfarer.api.util.Misc;
import com.fs.starfarer.api.ui.TooltipMakerAPI;
import com.fs.starfarer.api.campaign.OptionPanelAPI;
import kaysaar.aotd_question_of_loyalty.data.intel.AoTDCommIntelPlugin;
import kaysaar.aotd_question_of_loyalty.data.misc.QoLMisc;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.EveryFrameScript;

public class BlockCommisionHostileActions implements EveryFrameScript
{
    public boolean isDone() {
        return false;
    }
    
    public boolean runWhilePaused() {
        return true;
    }
    
    public void advance(final float amount) {
        if (Global.getSector().getCampaignUI().isShowingDialog()) {
            final InteractionDialogAPI dialog = Global.getSector().getCampaignUI().getCurrentInteractionDialog();
            if (dialog == null) {
                return;
            }
            if (dialog.getOptionPanel() == null) {
                return;
            }
            if (!dialog.getOptionPanel().hasOptions()) {
                return;
            }
            if (dialog.getInteractionTarget() != null && dialog.getInteractionTarget().getFaction() != null && QoLMisc.isCommissionedBy(dialog.getInteractionTarget().getFaction().getId())) {
                if (dialog.getOptionPanel().hasOption((Object)"nex_buyColony") && !AoTDCommIntelPlugin.get().canBuyMarket(AoTDCommIntelPlugin.get().getCurrentRankData().id)) {
                    dialog.getOptionPanel().setEnabled((Object)"nex_buyColony", false);
                    dialog.getOptionPanel().addOptionTooltipAppender((Object)"nex_buyColony", (OptionPanelAPI.OptionTooltipCreator)new OptionPanelAPI.OptionTooltipCreator() {
                        public void createTooltip(final TooltipMakerAPI tooltip, final boolean hadOtherText) {
                            tooltip.addPara("We can't buy additional markets due to not having permit that allows us to have additional colony under control", Misc.getNegativeHighlightColor(), 10.0f);
                        }
                    });
                }
                if (dialog.getOptionPanel().hasOption((Object)"COB_takeControl")) {
                    dialog.getOptionPanel().setEnabled((Object)"COB_takeControl", false);
                    dialog.getOptionPanel().addOptionTooltipAppender((Object)"COB_takeControl", (OptionPanelAPI.OptionTooltipCreator)new OptionPanelAPI.OptionTooltipCreator() {
                        public void createTooltip(final TooltipMakerAPI tooltip, final boolean hadOtherText) {
                            tooltip.addPara("We can't take structure of faction, that commissions us!", Misc.getNegativeHighlightColor(), 0.0f);
                        }
                    });
                }
                if (dialog.getOptionPanel().hasOption((Object)"bqfs_askForSupplies")) {
                    dialog.getOptionPanel().removeOption((Object)"bqfs_askForSupplies");
                }
            }
        }
    }
}
